applyfilter(8)

NAME
applyfilter - apply filter settings to news spool

SYNOPSIS
applyfilter [GLOBAL OPTIONS] [-n] [-c] object [...]

DESCRIPTION
Leafnode is a USENET package intended for small sites, where there are few users and little disk space, but where a large number of groups is desired.

Applyfilter is the program to apply filter settings to your newsspool. It is used if you want to remove postings from your spool matching a certain filter pattern (see FILES below). If the headers of an article match any of the filtering rules, the article is deleted from the newsgroup.

Applyfilter sets its real and effective uid to "news".

OPTIONS
For a description of the GLOBAL OPTIONS, see leafnode(8).

-c  Check mode. Print if filter would apply to files given on command line. The files are expected to contain one news article each.

-n  Dry run. Do not actually delete anything. Use in combination with -v to see which articles would be deleted without -n.

object
    is either a newsgroup name (if -c is NOT given) or a file name (if -c is given).

FILES

/etc/leafnode/filters contains the set of filtering rules that are applied to the newsspool. The file format is described in the filterfile(5) manual.

AUTHOR
Written and Copyright 1999 by Cornelius Krasel <krasel@wpxx02.toxi.uni-wuerzburg.de>.
Written and Copyright 2002 by Ralf Wildenhues <ralf.wildenhues@gmx.de>.
Written and Copyright 2000, 2002, 2003, 2004, 2005 by Matthias Andree <matthias.andree@gmx.de>.

Leafnode was originally written by Arnt Gulbrandsen <agulbra@troll.no> and is copyright 1995-96 Troll Tech AS, Postboks 6133 Etterstad, 0602 Oslo, Norway, fax +47 22646949.

SEE ALSO
filterfile(5), fetchnews(8), leafnode(8), texpire(8), /etc/leafnode/filters.example.